2

System using :-

hp 15r032tx

Ubuntu 17.10

Problem - screen flickers and get locked ,sometimes just a black screen and nothing on display. Sometimes keyboard and mouse also hanged.

I am new to Linux please help

1) HP-15-Notebook-PC:~$ lspci -knn | grep VGA -A3
    00:02.0 VGA compatible controller [0300]: Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a16] (rev 0b)
        Subsystem: Hewlett-Packard Company Haswell-ULT Integrated Graphics Controller [103c:2212]
        Kernel driver in use: i915
        Kernel modules: i915

2) HP-15-Notebook-PC:~$ dmesg --level=err,warn
[    0.000000] [Firmware Bug]: TSC_DEADLINE disabled due to Errata; please update microcode to version: 0x20 (or later)
[    0.031286] ENERGY_PERF_BIAS: Set to 'normal', was 'performance'
[    0.031286] ENERGY_PERF_BIAS: View and update with x86_energy_perf_policy(8)
[    0.076000]  #2 #3
[    0.080619] PCCT header not found.
[    2.188232] (NULL device *): hwmon_device_register() is deprecated. Please convert the driver to use hwmon_device_register_with_info().
[    2.472033] [Firmware Bug]: battery: (dis)charge rate invalid.
[    2.619187] wmi_bus wmi_bus-PNP0C14:00: WQ data block query control method not found
[    2.619191] wmi_bus wmi_bus-PNP0C14:00: WQ data block query control method not found
[    2.619194] wmi_bus wmi_bus-PNP0C14:00: WQ data block query control method not found
[    2.619196] wmi_bus wmi_bus-PNP0C14:00: WQ data block query control method not found
[    2.619506] wmi_bus wmi_bus-PNP0C14:01: WQBJ data block query control method not found
[    2.656118] r8169 0000:08:00.0: can't disable ASPM; OS doesn't have ASPM control
[    2.722608] ACPI Warning: \_SB.PCI0.GFX0._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20170531/nsarguments-95)
[    2.722850] ACPI Warning: \_SB.PCI0.GFX0._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20170531/nsarguments-95)
[    2.723024] ACPI Warning: \_SB.PCI0.RP05.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20170531/nsarguments-95)
[    2.723099] ACPI Warning: \_SB.PCI0.RP05.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20170531/nsarguments-95)
[    2.825731] nouveau 0000:09:00.0: volt: couldn't find speedo value, volting not possible
[    2.825749] nouveau 0000:09:00.0: bus: MMIO read of 00000000 FAULT at 612004 [ IBUS ]
[    4.104581] nouveau 0000:09:00.0: DRM: Pointer to TMDS table invalid
[    4.104585] nouveau 0000:09:00.0: DRM: Pointer to flat panel table invalid
[    4.241397] [Firmware Bug]: ACPI(PEGP) defines _DOD but not _DOS
[    4.242125] ACPI Error: [\_SB_.PCI0.GFX0.DD02._BCL] Namespace lookup failure, AE_NOT_FOUND (20170531/psargs-364)
[    4.242134] ACPI Error: Method parse/execution failed \_SB.PCI0.RP05.PEGP.DD02._BCL, AE_NOT_FOUND (20170531/psparse-550)
[    9.948093] ACPI Warning: \_SB.PCI0.RP05.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20170531/nsarguments-95)
[   17.759626] uvcvideo 1-1.5:1.0: Entity type for entity Extension 3 was not initialized!
[   17.759629] uvcvideo 1-1.5:1.0: Entity type for entity Processing 2 was not initialized!
[   17.759630] uvcvideo 1-1.5:1.0: Entity type for entity Camera 1 was not initialized!
[   18.383479] kvm: disabled by bios
[   18.416871] kvm: disabled by bios
[   27.868133] ACPI Warning: \_SB.PCI0.RP05.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20170531/nsarguments-95)
[   53.208112] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[   55.464111] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[   97.268110] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush

closed as off-topic by karel, Ketan Patel, Thomas, Amith KK, N0rbert Jul 22 '18 at 11:17

This question appears to be off-topic. The users who voted to close gave this specific reason:

If this question can be reworded to fit the rules in the help center, please edit the question.

  • Hi Check Test, welcome to askubuntu! Ubuntu 17.10 is no longer supported. You should do a release upgrade, preferable Ubuntu 18.04. – abu_bua Jul 22 '18 at 9:45
  • yes i will update but right now all of my work and installed softwares is in this laptop and when i tried to copy screen flickers and laptop hangs so before ubuntu update i want to move my work for that i need your help to solve this – Check Test Jul 22 '18 at 9:54
  • Have you installed the microcode package for this laptop – Allan Jul 22 '18 at 10:39
  • If your screen is a problem to use; and trouble with mouse - I'd suggest logging in remotely (via ssh) and use a working screen to backup your data so you can release-upgrade to a supported release. You'd have received message(s) for awhile offering to upgrade; you aren't on a LTS or long-term-support release, and it's now EOL which means off-topic here. If you need a longer release life - stick to LTS (long-term-support) releases. – guiverc Jul 22 '18 at 11:56

Browse other questions tagged or ask your own question.